﻿@import url('https://fonts.googleapis.com/css2?family=Source+Sans+3:ital,wght@0,200..900;1,200..900&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    outline: none;
}

body {
    font-family: "Source Sans 3", sans-serif;
    background-color: #e4eff9;
}

a:link, a:hover {
    text-decoration: none;
    color: #FFF;
}

.container {
    background-color: #FFF;
}

.site-header {
    background: #ffffff;
    border-radius: 60px;
    margin: 10px auto;
    padding: 10px 24px 10px 24px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 0px 2px 0px rgba(0, 0, 0, 0.5);
    position: sticky;
    max-width: 1170px;
    top: 10px;
    width: 95%;
    z-index: 999;
}

.main-logo {
    display: flex;
    align-items: center;
}

    .main-logo img {
        width: 100%;
    }

.navigation {
    display: flex;
    width: 100%;
    justify-content: space-between;
    padding-left: 56px;
}

.menu-toggle {
    display: none;
    font-size: 24px;
    cursor: pointer;
}

nav {
    display: flex;
    align-items: center;
    gap: 26px;
    flex-wrap: wrap;
}

.menu-item {
    position: relative;
}

.navigation nav a {
    text-decoration: none;
    color: #1b1917;
    font-family: "Source Sans 3", Sans-serif;
    font-size: 18px;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.1px;
    display: flex;
    align-items: center;
}

.dropdown-content {
    position: absolute;
    top: 100%;
    left: 0;
    background: white;
    border-radius: 12px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15);
    display: none;
    z-index: 10;
    overflow: hidden;
}

    .dropdown-content ul {
        list-style: none;
    }

        .dropdown-content ul li {
            border: none;
            width: 100%;
        }

    .dropdown-content a {
        display: block;
        padding: 12px;
        white-space: nowrap;
        transition: ease all 0.25s;
    }

.dropdown:hover .dropdown-content {
    display: block;
}

.submenu li a {
    font-size: 16px;
}

.btn-orange {
    background-color: #ff7b01;
    color: #fff;
    border-radius: 30px;
    padding: 10px 20px;
    font-weight: 500;
    text-decoration: none;
    font-size: 16px;
    position: relative;
    width: 156px;
    display: flex;
    height: 42px;
    justify-content: center;
    align-items: center;
    letter-spacing: 1.1px;
    transition: ease all 0.25s;
}

    .btn-orange:hover {
        background: hsl(28 100% 43% / 1);
    }

span.sub-arrow {
    position: relative;
    width: 10px;
    padding: 0;
    height: 16px;
    display: flex;
    align-items: center;
    margin-left: 12px;
}

.staff-dropdown-content {
    display: none;
    position: absolute;
    background: #ff7b00;
    color: white;
    top: 100%;
    right: 0;
    border-radius: 16px;
    z-index: 10;
    min-width: 180px;
    overflow: hidden;
}

    .staff-dropdown-content a {
        color: white;
        padding: 12px;
        display: block;
        text-align: center;
        border-bottom: 1px solid rgba(255, 255, 255, 0.3);
        text-decoration: none;
        transition: ease all 0.25s;
    }

        .staff-dropdown-content a:hover {
            background: hsl(28 100% 43% / 1);
        }

.staff-dropdown:hover .staff-dropdown-content {
    display: block;
}

.menu-item.open > a {
    color: #2e2b75;
}

.site-footer {
    background-color: #3a3b7b;
    color: #ffffff;
    padding: 40px 0;
    display: inline-block;
    width: 100%;
}

.footer-container {
    max-width: 1170px;
    margin: 0 auto;
    padding: 0 15px;
}

.footer-info {
    width: 40%;
    float: left;
}

.footer-left img {
    height: 60px;
    margin-bottom: 15px;
}

.footer-left p {
    font-size: 14px;
    line-height: 1.6;
    margin-bottom: 15px;
}

.footer-links {
    width: 58%;
    padding: 0 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    float: right;
}

.footer-center h4 {
    color: #ff7b01;
    font-size: 14px;
    margin-bottom: 10px;
    text-transform: uppercase;
    width: 100%;
}

.footer-center ul,
.footer-right ul {
    list-style: none;
}

.footer-center li,
.footer-right li {
    margin-bottom: 8px;
}

.footer-center a,
.footer-right a {
    text-decoration: none;
    color: #fff;
    font-size: 14px;
}

.footer-socials {
    margin-top: 10px;
}

    .footer-socials a {
        color: white;
        margin-right: 10px;
        font-size: 18px;
        text-decoration: none;
    }

.footer-logo {
    border-radius: 40px;
    width: 90%;
    box-shadow: 0px 0px 15px -4px rgba(255, 255, 255, 0.5);
    max-width: 400px;
    padding: 10px;
    background: #ffffff;
}

.footer-socials {
    margin-top: 20px;
    text-align: center;
}

    .footer-socials a {
        font-size: 28px;
        margin: 0 10px;
    }

.footer-info p {
    font-size: 18px;
    line-height: 1.5;
    margin-top: 20px;
}

.footer-links h4 {
    color: #ff7b01;
    font-size: 20px;
    font-weight: 700;
    width: 100%;
    margin-top: 10px;
}

.footer-heading {
    width: 100%;
}

.footer-links ul {
    list-style: none;
    margin-top: 15px;
    width: 25%;
    padding: 0 0 0 10px;
}

    .footer-links ul li {
        width: 100%;
        font-size: 16px;
    }

        .footer-links ul li + li {
            margin-top: 15px;
        }

        .footer-links ul li a {
            color: #ffffff;
            text-decoration: none;
            font-size: 16px;
        }

@media (min-width: 992px) {
    .navigation {
        padding-left: 56px;
    }

    .dropdown-content a:hover,
    .dropdown-content a:focus {
        background: #e4eff9;
    }

    .main-logo img {
        height: 65px;
        width: auto;
    }

    .footer-socials {
        width: 90%;
    }
}

@media (max-width: 991px) {
    .footer-container {
        flex-direction: column;
        gap: 30px;
    }

    .site-header {
        padding: 10px 20px;
    }

    .dropdown-content a:hover,
    .dropdown-content a:focus {
        color: #2e2b75;
    }

    .main-logo img {
        max-width: 350px;
    }

    .navigation nav {
        display: none;
        background: white;
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        padding: 20px;
        z-index: 99;
        border-radius: 10px;
        margin-top: 0px;
        max-height: calc(100vh - 120px);
        overflow: auto;
        flex-wrap: wrap;
    }

    .navigation nav {
        gap: 15px;
    }

        .navigation nav.show {
            display: flex;
        }

    .menu-item {
        position: relative;
        width: 100%;
    }

    .navigation nav a {
        align-items: center;
        justify-content: space-between;
    }

    .menu-toggle {
        display: block;
    }

    .dropdown-content {
        position: relative;
        box-shadow: none;
    }

    .staff-dropdown-content {
        position: absolute;
        box-shadow: none;
    }

    .menu-toggle {
        display: flex !important;
        align-items: center;
    }

    .menu-item.staff-dropdown {
        width: auto;
    }

    .navigation {
        padding-left: 0;
        gap: 20px;
        justify-content: flex-end;
    }

    .dropdown-content a {
        padding: 12px 10px 0 10px;
    }

    .footer-links ul {
        width: 33%;
    }
}

@media (max-width: 767px) {
    .footer-logo {
        border-radius: 10px;
    }

    .footer-info,
    .footer-links {
        width: 100%;
    }

    .footer-links {
        margin-top: 15px;
        padding: 0;
    }

        .footer-links ul {
            margin-top: 15px;
            width: 100%;
        }
}

@media (max-width: 575px) {
    .menu-item.staff-dropdown {
        display: none;
    }
}
